import { SpreadsheetEditModeEnteredEventArgs as SpreadsheetEditModeEnteredEventArgs_internal } from "./SpreadsheetEditModeEnteredEventArgs";
import { SpreadsheetCell } from "./SpreadsheetCell";
/**
 * Event arguments for the
 * editModeEntered event.
*/
export declare class IgcSpreadsheetEditModeEnteredEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SpreadsheetEditModeEnteredEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Returns the cell for which the control has entered edit mode.
    */
    get cell(): SpreadsheetCell;
}
